"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UtxoBlockTip = exports.LtcBlockTip = exports.DogeBlockTip = exports.BtcBlockTip = exports.XrpBlock = exports.UtxoBlock = exports.LtcBlock = exports.DogeBlock = exports.BtcBlock = exports.AlgoBlock = exports.UtxoBlockHeader = exports.LtcBlockHeader = exports.DogeBlockHeader = exports.BtcBlockHeader = exports.BlockBase = exports.BlockHeaderBase = exports.BlockTipBase = void 0;
class BlockTipBase {
    constructor(data) {
        this.data = data;
    }
    /**
     * Only return something on Tips
     */
    get chainTipStatus() {
        return "active";
    }
}
exports.BlockTipBase = BlockTipBase;
class BlockHeaderBase extends BlockTipBase {
}
exports.BlockHeaderBase = BlockHeaderBase;
class BlockBase extends BlockHeaderBase {
    /**
     * Return if block is valid
     * Mainly for XRP
     */
    get isValid() {
        return true;
    }
}
exports.BlockBase = BlockBase;
// Block Tips
/**
 * Algo and Ripple (XRP) have no specific block header endpoint (liter block with limited data)
 */
// Block headers
var BtcBlockHeader_1 = require("./blockHeaders/BtcBlockHeader");
Object.defineProperty(exports, "BtcBlockHeader", { enumerable: true, get: function () { return BtcBlockHeader_1.BtcBlockHeader; } });
var DogeBlockHeader_1 = require("./blockHeaders/DogeBlockHeader");
Object.defineProperty(exports, "DogeBlockHeader", { enumerable: true, get: function () { return DogeBlockHeader_1.DogeBlockHeader; } });
var LtcBlockHeader_1 = require("./blockHeaders/LtcBlockHeader");
Object.defineProperty(exports, "LtcBlockHeader", { enumerable: true, get: function () { return LtcBlockHeader_1.LtcBlockHeader; } });
var UtxoBlockHeader_1 = require("./blockHeaders/UtxoBlockHeader");
Object.defineProperty(exports, "UtxoBlockHeader", { enumerable: true, get: function () { return UtxoBlockHeader_1.UtxoBlockHeader; } });
// Blocks
var AlgoBlock_1 = require("./blocks/AlgoBlock");
Object.defineProperty(exports, "AlgoBlock", { enumerable: true, get: function () { return AlgoBlock_1.AlgoBlock; } });
var BtcBlock_1 = require("./blocks/BtcBlock");
Object.defineProperty(exports, "BtcBlock", { enumerable: true, get: function () { return BtcBlock_1.BtcBlock; } });
var DogeBlock_1 = require("./blocks/DogeBlock");
Object.defineProperty(exports, "DogeBlock", { enumerable: true, get: function () { return DogeBlock_1.DogeBlock; } });
var LtcBlock_1 = require("./blocks/LtcBlock");
Object.defineProperty(exports, "LtcBlock", { enumerable: true, get: function () { return LtcBlock_1.LtcBlock; } });
var UtxoBlock_1 = require("./blocks/UtxoBlock");
Object.defineProperty(exports, "UtxoBlock", { enumerable: true, get: function () { return UtxoBlock_1.UtxoBlock; } });
var XrpBlock_1 = require("./blocks/XrpBlock");
Object.defineProperty(exports, "XrpBlock", { enumerable: true, get: function () { return XrpBlock_1.XrpBlock; } });
var BtcBlockTip_1 = require("./blockTips/BtcBlockTip");
Object.defineProperty(exports, "BtcBlockTip", { enumerable: true, get: function () { return BtcBlockTip_1.BtcBlockTip; } });
var DogeBlockTip_1 = require("./blockTips/DogeBlockTip");
Object.defineProperty(exports, "DogeBlockTip", { enumerable: true, get: function () { return DogeBlockTip_1.DogeBlockTip; } });
var LtcBlockTip_1 = require("./blockTips/LtcBlockTip");
Object.defineProperty(exports, "LtcBlockTip", { enumerable: true, get: function () { return LtcBlockTip_1.LtcBlockTip; } });
var UtxoBlockTip_1 = require("./blockTips/UtxoBlockTip");
Object.defineProperty(exports, "UtxoBlockTip", { enumerable: true, get: function () { return UtxoBlockTip_1.UtxoBlockTip; } });
//# sourceMappingURL=BlockBase.js.map